import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { IonicModule } from '@ionic/angular';
import { FormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router';
import { HomePage } from './home.page';
import { GdButtonComponent } from '../Components/gd-button/gd-button.component';
import { GdDatePickerComponent } from '../Components/gd-date-picker/gd-date-picker.component';
import { GdSelectComponent } from '../Components/gd-select/gd-select.component';
import { GdInputComponent } from '../Components/gd-input/gd-input.component';
import {MatButtonModule, MatIconModule, MatInputModule, MatSelectModule,MatRadioModule,MatCheckboxModule, MatSliderModule} from '@angular/material';
import { GdBadgeComponent } from './../Components/gd-badge/gd-badge.component';
import {MatFormFieldModule} from '@angular/material/form-field';
import { GdRadiobuttonComponent } from '../Components/gd-radiobutton/gd-radiobutton.component';
import { GdCheckboxComponent } from '../Components/gd-checkbox/gd-checkbox.component';
import { GdToggleComponent } from '../Components/gd-toggle/gd-toggle.component';
import {MatSlideToggleModule} from '@angular/material/slide-toggle';
import {MatDatepickerModule} from '@angular/material/datepicker';
import {MatBadgeModule} from '@angular/material/badge';
import {MatChipsModule} from '@angular/material/chips';

import {MatNativeDateModule, MatRippleModule} from '@angular/material/core';
import { ReactiveFormsModule } from '@angular/forms';
import { GdSliderComponent } from '../Components/gd-slider/gd-slider.component';
import { GdBreadcrumbComponent } from '../Components/gd-breadcrumb/gd-breadcrumb.component';
import { GdToolbarComponent } from '../Components/gd-toolbar/gd-toolbar.component';
import { GdAvatarComponent } from '../Components/gd-avatar/gd-avatar.component';
import 'hammerjs';
import { GdChipsComponent } from './../Components/gd-chips/gd-chips.component';


@NgModule({
  imports: [
    CommonModule,
    MatSelectModule,
    FormsModule,
    MatButtonModule,
    MatBadgeModule,
    MatIconModule,                    
    MatFormFieldModule,
    ReactiveFormsModule,
    MatDatepickerModule,
    MatNativeDateModule,
    MatRippleModule,
    MatFormFieldModule,
    MatInputModule,
    MatRadioModule,
    MatCheckboxModule,
    MatSlideToggleModule,
    IonicModule,
    MatSliderModule,
    RouterModule.forChild([
      {
        path: '',
        component: HomePage
      }
    ])
  ],
  declarations: [
    HomePage,
    GdButtonComponent,
    GdDatePickerComponent,
    GdInputComponent,
    GdSelectComponent,
    GdBadgeComponent,
    GdRadiobuttonComponent,
    GdCheckboxComponent,
    GdToggleComponent,
    GdSelectComponent,
    GdSliderComponent,
    GdBreadcrumbComponent,
    GdToolbarComponent,
    GdAvatarComponent,
    GdChipsComponent
  ],
  exports:[
      MatButtonModule,
      MatIconModule, 
      MatBadgeModule,
      MatDatepickerModule,
      MatNativeDateModule,
      MatRippleModule,
      MatSliderModule,
      MatChipsModule
  ]
})
export class HomePageModule {
  
}
