import { storiesOf } from '@storybook/angular';
import { action } from '@storybook/addon-actions';
import { linkTo } from '@storybook/addon-links';

import { moduleMetadata } from '@storybook/angular';
import { GdButtonToggleComponent } from '../app/Components/gd-button-toggle/gd-button-toggle.component';

import MdGdBtnToggle from './../doc/gd-button-toggle.md';
import { GdButtonToggleComponentModule } from '../app/Components/gd-button-toggle/gd-button-toggle.module';


storiesOf("Gd Button Toggle", module)
    .addDecorator(
        moduleMetadata({
            imports: [
                GdButtonToggleComponentModule
            ]
        })
    )

    .add("Basic", () => ({
        component: GdButtonToggleComponent,
        props: {
            groupName:"propery",
            toggleList: [
                {
                    label: "Alam Sutera",
                    value: "ASRI",
                    disable: false
                },
                {
                    label: "Pakuwon Jati",
                    value: "PWON",
                    disable: false
                },
                {
                    label: "Jaya Real Property",
                    value: "JRPT",
                    disable: true
                }
            ]
        }
    }),
        {
            notes: { markdown: MdGdBtnToggle }
        });