import { storiesOf } from '@storybook/angular';
import { action } from '@storybook/addon-actions';
import { linkTo } from '@storybook/addon-links';

import { GdButtonComponent } from '../app/Components/gd-button/gd-button.component';
import { moduleMetadata } from '@storybook/angular';

import MdGdButton from './../doc/gd-button.md';
import { GdButtonComponentModule } from '../app/Components/gd-button/gd-button.module';


export const actions = {
    onClickBtn: action('onClickBtn')
};

storiesOf('Gd Button', module)
    .addDecorator(
        moduleMetadata({
            imports: [
                GdButtonComponentModule
            ]
        })
    )
    .add('Basic', () => ({
        component: GdButtonComponent,
        props: {
            text: "submit",
            color: "primary",
            type: "basic",
            onClickBtn: actions.onClickBtn,
        },
    }), {
        notes: { markdown: MdGdButton }
    })
    .add('Flat', () => ({
        component: GdButtonComponent,
        props: {
            text: "submit",
            color: "primary",
            type: "flat",
        }
    }), {
        notes: { markdown: MdGdButton }
    })
    .add('Raised', () => ({
        component: GdButtonComponent,
        props: {
            text: "submit",
            color: "rejected",
            type: "raised",
        }
    }), {
        notes: { markdown: MdGdButton }
    })
    .add('Outline', () => ({
        component: GdButtonComponent,
        props: {
            text: "submit",
            color: "primary",
            type: "outline",
        }
    }), {
        notes: { markdown: MdGdButton }
    })
    .add('Add', () => ({
        component: GdButtonComponent,
        props: {
            color: "primary",
            type: "add",
        }
    }), {
        notes: { markdown: MdGdButton }
    });