import { BrowserAnimationsModule, NoopAnimationsModule } from '@angular/platform-browser/animations';
import { Placeholder } from '@angular/compiler/src/i18n/i18n_ast';
import { storiesOf } from '@storybook/angular';
import { action } from '@storybook/addon-actions';
import { linkTo } from '@storybook/addon-links';

import { GdDatePickerComponent } from '../app/Components/gd-date-picker/gd-date-picker.component';
import { moduleMetadata } from '@storybook/angular';
import {MatFormFieldModule} from '@angular/material/form-field';
import { MatInputModule } from '@angular/material';


import {MatDatepickerModule} from '@angular/material/datepicker';
import {MatNativeDateModule, MatRippleModule} from '@angular/material/core';



storiesOf('Gd Date Picker', module)
    .addDecorator(
        moduleMetadata({
            declarations: [
                GdDatePickerComponent
            ],
            imports: [
                MatDatepickerModule,
                MatNativeDateModule,
                MatRippleModule,    
                MatFormFieldModule,
                MatInputModule,
                BrowserAnimationsModule,
                NoopAnimationsModule
            ],
        })
    )
    .add('Basic', () => ({
        component: GdDatePickerComponent,
        props: {
            type: "basic",
            label: "Basic Datepicker",
            placeholder:"Datepicker"
        },
    }))
    .add('Month First', () => ({
        component: GdDatePickerComponent,
        props: {
            type: "month-first",
            label: "Month Datepicker",
            placeholder:"Datepicker"
        },
    }))
    .add('Year First', () => ({
        component: GdDatePickerComponent,
        props: {
            type: "year-first",
            label: "Year Datepicker",
            placeholder:"Datepicker"
        },
    }))
    .add('Mobile', () => ({
        component: GdDatePickerComponent,
        props: {
            type: "mobile",
            label: "Mobile Datepicker",
            placeholder:"Datepicker"
        },
    }))
    .add('Disable Datepicker Input', () => ({
        component: GdDatePickerComponent,
        props: {
            type: "disable-input",
            label: "Disable Datepicker",
            placeholder:"Datepicker"
        },
    }))