import { storiesOf } from '@storybook/angular';
import { action } from '@storybook/addon-actions';
import { linkTo } from '@storybook/addon-links';

import {MatFormFieldModule} from '@angular/material/form-field';
import { MatInputModule } from '@angular/material';

import{ GdInputComponent } from '../app/Components/gd-input/gd-input.component';

import { moduleMetadata } from '@storybook/angular';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { Placeholder } from '@angular/compiler/src/i18n/i18n_ast';
import { ReactiveFormsModule } from '@angular/forms';

import MdGdInput from './../doc/gd-input.md';
import { GdInputComponentModule } from '../app/Components/gd-input/gd-input.module';

storiesOf("Gd Input", module)
    .addDecorator(
        moduleMetadata({
            imports: [
                GdInputComponentModule
            ]
        })
    )
    .add('Text', () => ({
        component: GdInputComponent,
        props:{
            label:"Name",
            placeholder:"Nama Lengkap",
            hint: "isi aja yang bener",
            type:"text",
            required:true            
        }
    }), {
        notes: { markdown: MdGdInput}
    })
    .add('Email', () => ({
        component: GdInputComponent,
        props:{
            label:"Email",
            placeholder:"Email",
            hint: "isi aja yang bener",
            type:"email",
            required:true            
        }
    }), {
        notes: { markdown: MdGdInput}
    });
