import { storiesOf, moduleMetadata } from '@storybook/angular';
import {MatRadioModule} from '@angular/material/radio';
import { GdRadiobuttonComponent } from 'src/app/Components/gd-radiobutton/gd-radiobutton.component';

storiesOf('Gd Radio Button', module)
    .addDecorator(
        moduleMetadata({
            declarations: [
                GdRadiobuttonComponent
            ],
            imports: [
                MatRadioModule,
            ]
        })
    )
    .add('Primary-RadioButton', () => ({
        component: GdRadiobuttonComponent,
        props: {
            text: "Option 1 Primary",
            color: "primary",
            checked:"true",
            disabled:"false",
            disableRipple:"false",
            required:"false"
        },
    }))
    .add('Accent-RadioButton', () => ({
        component: GdRadiobuttonComponent,
        props: {
            text: "Option 1 Accent",
            color: "accent",
            checked:"true",
            disabled:"false",
            disableRipple:"false",
            required:"false"
        }
    }))
    .add('Warn-RadioButton', () => ({
        component: GdRadiobuttonComponent,
        props: {
            text: "Option 1 Warn",
            color: "warn",
            checked:"true",
            disabled:"false",
            disableRipple:"false",
            required:"false"
        }
    }))