import { storiesOf } from '@storybook/angular';
import { action } from '@storybook/addon-actions';
import { linkTo } from '@storybook/addon-links';

import { moduleMetadata } from '@storybook/angular';
import { GdSelectComponent } from '../app/Components/gd-select/gd-select.component';

import {MatSelectModule} from '@angular/material/select';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import MdGdSelect from './../doc/gd-select.md';
import { GdSelectComponentModule } from '../app/Components/gd-select/gd-select.module';


storiesOf("Gd Select", module)
    .addDecorator(
        moduleMetadata({
            imports: [
                GdSelectComponentModule,
                BrowserAnimationsModule                
            ]
        })
    )

    .add("Select", () => ({
        component: GdSelectComponent,
        props:{
            label:"Favorite Food",
            name:"food",
            selectList: [
                {
                    id:"steak-0",
                    value:"Steak Abuba"
                },
                {
                    id:"nasgor-0",
                    value:"Nasi Goreng Seafood"
                }
            ]
        }
    }), 
    {
        notes: { markdown:MdGdSelect }
    });