import { storiesOf, moduleMetadata } from '@storybook/angular';
import { GdSliderComponent } from 'src/app/Components/gd-slider/gd-slider.component';
import {MatSliderModule} from '@angular/material/slider';
import 'hammerjs';
storiesOf('Gd Slider', module)
    .addDecorator(
        moduleMetadata({
            declarations: [
                GdSliderComponent
            ],
            imports: [
                MatSliderModule,
            ]
        })
    )
    .add('Primary-Slider', () => ({
        component: GdSliderComponent,
        props: {
            color: "primary",
            min: "1",
            max:"100",
            step:"1",
            thumblabel:"true",
            tickInterval:"1",
            disabled:"false"
            
        },
    }))
    .add('Accent-Slider', () => ({
        component: GdSliderComponent,
        props: {
            color: "accent",
            min: "1",
            max:"100",
            step:"1",
            thumblabel:"true",
            tickInterval:"1",
            disabled:"false"
        }
    }))
    .add('Warn-Slider', () => ({
        component: GdSliderComponent,
        props: {
            color: "warn",
            min: "1",
            max:"100",
            step:"1",
            thumblabel:"true",
            tickInterval:"1",
            disabled:"false"
        }
    }))