import { storiesOf, moduleMetadata } from '@storybook/angular';
import { GdToggleComponent } from 'src/app/Components/gd-toggle/gd-toggle.component';
import {MatSlideToggleModule} from '@angular/material/slide-toggle';
import { IonicModule, IonToggle } from '@ionic/angular';


storiesOf('Gd Toggle', module)
    .addDecorator(
        moduleMetadata({
            declarations: [
                GdToggleComponent
            ],
            imports: [
                MatSlideToggleModule,
                IonicModule,
               
            ]
        })
    )
   
    .add('Primary-Toggle', () => ({
        component: GdToggleComponent,
        props: {
           color:"primary",
           text:"Slide Me! Primary",
           checked:"false",
           disabled:"false",
           disableRipple:"false",
           required:"false"
        },
    }))
    .add('Accent-Toggle', () => ({
        component: GdToggleComponent,
        props: {
           color:"accent",
           text:"Slide Me! Accent",
           checked:"false",
           disabled:"false",
           disableRipple:"false",
           required:"false"
        },
    }))
    .add('Warn-Toggle', () => ({
        component: GdToggleComponent,
        props: {
           color:"warn",
           text:"Slide Me! Warn",
           checked:"false",
           disabled:"false",
           disableRipple:"false",
           required:"false"
        },
    }))
    